.features_phone {
    grid-column: 1 / 5;
    background: $color-primary;
    padding: 4rem;

    display: grid;
    grid-template-columns: 
        minmax(6rem, 1fr) 
        repeat(2, minmax(min-content, 60rem))
        minmax(6rem, 1fr);
    grid-template-rows: 1fr;

    &__main-slider {
        grid-column: 2;
        // width: 100%;
        justify-self: flex-end;
        transform: translateX(15rem) rotateX(-50deg) rotateY(0) rotateZ(-40deg) skew(-5deg, -10deg);
       
        @include respond(tab-port) {
            justify-self: center;
            grid-column: 1 / 5;
            grid-row: 1;
            transform: translateX(0) rotateX(-50deg) rotateY(0) rotateZ(-40deg) skew(-5deg, -10deg);
       
            // transform: translateX(-10rem);
        }
        position: relative;

        // transform: matrix(1, -0.7, 1, 1, 0, 0);
         
        z-index: 1;
        &__mock {
            width: 400px;
        }

        &__container {
            
            
            width: 354px;
            height: 623px;
            position: absolute;
            top: 100px;
            left: 20px;

            // display: flex;
            // align-items: center;
            // justify-content: center;

            display: flex;
            flex-direction: row;
            justify-content: space-between;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            
            scroll-behavior: smooth;
            -webkit-overflow-scrolling: touch;

            &::-webkit-scrollbar {
                width: 0;
                height: 0;
            }
    
            &::-webkit-scrollbar-thumb {
                background: transparent;
                border-radius: 10px;
            }
            &::-webkit-scrollbar-track {
                background: transparent;
            }

            &-slides {
                // width: 265px;
                // height: 472px;
                // display: flex;
                // align-items: center;
                // justify-content: center;
                // background: red;
                scroll-snap-align: start;
                flex-shrink: 0;
                width: 354px;
                height: 623px;
                // @include respond(tab-port) {
                //     width: 100%;
                // }
                // height: 400px;
                // margin-right: 50px;
                transform-origin: center center;
                transform: scale(1);
                transition: transform 0.5s;
                position: relative;
                
                display: flex;
                justify-content: center;
                align-items: center;
                
                &__img {
                    max-width: 70px;
                }
            }

            
        }

        &__nav {
            position: absolute;
            color: $white;
            top: 0;
        }
    }

    &__main {
        grid-column: 3 / 4;
        width: 40rem;
        height: 60rem;

        @include respond(tab-port) {
            grid-column: 1 / 5;
            grid-row: 2;
            width: 100%;
        }
        justify-self: flex-end;

        
        margin: 30px 0 0 0;
        
        background: $white;
        border-radius: 2px;

        display: flex;
        flex-direction: column;

        z-index: 2;

        &-content {
            // width: 25rem;
            display: flex;
            padding: 5rem 5rem 0 4rem;

            &__logo {
                // background: red;
                margin-right: 2rem;
                &__img {
                    // width: 100%;
                    width: 45px;
                }
            }

            &__body {
                font-family: $font-primary;
                &-heading {
                    // font-size: 1.7rem;
                    margin-top: 10px;
                }

                &-text {
                    font-size: 1.2rem;
                    line-height: 1.5;
                }
            }

        }

        &__btn-cta {
            margin-top: auto;
            text-align: center;
            padding: 20px 0;
            @include respond(tab-port) {
                margin-left: 4rem;
                margin-right: 5rem;
                margin-bottom: 4rem;
            }
        }
    }
}

.slider-nav {
    border: 2px solid $white;
    width: 65px;
    height: 65px;
    // padding: 3rem 3.5rem;
    text-align: center;
    border-radius: 50%;
    font-size: 2.5rem;
    color: $white;
    background: transparent;
    transition: all .3s;
    cursor: pointer;
    // line-height: 6.5rem;

    // & i {
    //     // font-size: 2.5rem;
    // }

    &:nth-child(1) {
        position: absolute;
        left: -10rem;
        top: 36rem;
    }

    &:nth-child(2) {
        position: absolute;
        left: 42rem;
        top: 36rem;
    }

    &:hover {
        background: $black;
        border: 2px solid $black;
    }

    &:focus {
        outline: none;
    }
}